---
title: "Update editable OCR data in interview"
url: "https://developer.incode.com/api-reference/update-editable-ocr-data/"
section: "api-reference"
group: "Id capture"
version: "v1.1"
status: "live"
endpoint: "PUT /omni/update/editable-ocr-data"
---
# Update editable OCR data in interview

`PUT /omni/update/editable-ocr-data`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Update some of the crucial interview OCR data if needed.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `address` | string |  |  |
| `documentNumber` | string |  |  |
| `name` | string |  |  |
| `firstName` | string |  |  |
| `lastName` | string |  |  |
| `paternalLastName` | string |  |  |
| `maternalLastName` | string |  |  |
| `personalNumber` | string |  |  |
| `curp` | string |  |  |
| `email` | string |  |  |
| `birthDate` | string |  |  |
| `expireAt` | string |  |  |
| `gender` | string |  |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X PUT https://demo-api.incodesmile.com/omni/update/editable-ocr-data \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "address": "",
    "documentNumber": "",
    "name": "",
    "firstName": "",
    "lastName": "",
    "paternalLastName": "",
    "maternalLastName": "",
    "personalNumber": "",
    "curp": "",
    "email": "",
    "birthDate": "",
    "expireAt": "",
    "gender": ""
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/update/editable-ocr-data", {
  method: "PUT",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "address": "",
      "documentNumber": "",
      "name": "",
      "firstName": "",
      "lastName": "",
      "paternalLastName": "",
      "maternalLastName": "",
      "personalNumber": "",
      "curp": "",
      "email": "",
      "birthDate": "",
      "expireAt": "",
      "gender": ""
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.put("https://demo-api.incodesmile.com/omni/update/editable-ocr-data", headers=headers, json={
  "address": "",
  "documentNumber": "",
  "name": "",
  "firstName": "",
  "lastName": "",
  "paternalLastName": "",
  "maternalLastName": "",
  "personalNumber": "",
  "curp": "",
  "email": "",
  "birthDate": "",
  "expireAt": "",
  "gender": ""
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/update/editable-ocr-data"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("PUT", HttpRequest.BodyPublishers.ofString("{\n  \"address\": \"\",\n  \"documentNumber\": \"\",\n  \"name\": \"\",\n  \"firstName\": \"\",\n  \"lastName\": \"\",\n  \"paternalLastName\": \"\",\n  \"maternalLastName\": \"\",\n  \"personalNumber\": \"\",\n  \"curp\": \"\",\n  \"email\": \"\",\n  \"birthDate\": \"\",\n  \"expireAt\": \"\",\n  \"gender\": \"\"\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
